<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_controls_screen.php';

///////////////////////////////////////////////////////////////////////////

class SmartSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup';
	private $platform = null;
	private $install_dir = null;
	private $counter = 0;
    ///////////////////////////////////////////////////////////////////////

    public function __construct(){
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies){
        $defs = array();
        $main_icon = isset($plugin_cookies->main_icon) ?  $plugin_cookies->main_icon : 'yes';
        $show_ops['yes'] = '%tr%t1';
        $show_ops['no'] = '%tr%t2';
		if (HD::get_platform_kind() == 'android'){
            $addr = HD::get_ip_address();
			$url = "http://$addr/cgi-bin/plugins/Screenshoter/index";
			ControlFactory::add_smart_label($defs, "Web Interface:", 
				'<text color="14" size="normal">'.$url.'</text>'
			);
			$this->add_button($defs,
				'get_qr', 
				'QR code',
				'%tr%t50', 500
			);
		}else
			ControlFactory::add_multiline_label($defs, '%tr%t12', 'Plugin for Dune Android',4);
		ControlFactory::add_vgap($defs, -30);
			ControlFactory::add_label($defs, '______________________', "_______________________________________");

		$this->add_combobox($defs,
            'main_icon', '%tr%t3',
            $main_icon, $show_ops, 500, true
		);
		ControlFactory::add_vgap($defs, -10);
		$this->add_button($defs,
			'whats_new', 
			"%ext%<key_local>d__1<p>".HD::ver()."</p></key_local>",
			'%tr%t50', 500
		);
        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies){
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies){
        $attrs['dialog_params'] = array('frame_style' => DIALOG_FRAME_STYLE_GLASS);
		if ($user_input->control_id == 'whats_new'){
			$post_action = null;
			$doc = HD::http_get_document('http://dune-club.info/plugins/update/'.DuneSystem::$properties['plugin_name'].'/info.txt');
			ControlFactory::add_multiline_label($defs, '', $doc, 10);
			ControlFactory::add_close_dialog_button($defs, 'ОК', 300);
			return ActionFactory::show_dialog('%tr%t14', $defs, true, 1100,$attrs);
        }

		if ($user_input->control_id === 'main_icon')
            $plugin_cookies->main_icon = $user_input->main_icon;
		if ($user_input->control_id === 'get_qr'){
			
            $addr = HD::get_ip_address();
			$url = "https://api.qrserver.com/v1/create-qr-code/?size=450x450&format=jpeg&data=http://$addr/cgi-bin/plugins/Screenshoter/index";
			$img = DuneSystem::$properties['tmp_dir_path'].'/img.jpeg';
			$doc = HD::http_get_document($url);
			file_put_contents ($img, $doc);
			ControlFactory::add_smart_label($defs,"", '<icon width="400" height="400">'.$img.'</icon>');
			ControlFactory::add_vgap($defs, 400);
			return  ActionFactory::show_dialog("QR code",$defs,true,500,$attrs);
		}
        return ActionFactory::reset_controls(
            $this->do_get_control_defs($plugin_cookies));
    }
}

///////////////////////////////////////////////////////////////////////////
?>
